import { CollectionService, CollectionState } from '../../collection/collection.service';
import { Query } from './types';
import { Observable } from 'rxjs';
/**
 * Sync the collection
 * @param this Uses this function with bind on a Collection Service
 * @param query The query to trigger
 */
export declare function syncQuery<E>(this: CollectionService<CollectionState<E>>, query: Query<E>): Observable<any>;
