(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/fire/firestore'), require('@datorama/akita'), require('firebase/firestore'), require('rxjs'), require('rxjs/operators'), require('@angular/router'), require('@angular/fire/auth'), require('firebase/app'), require('firebase/auth')) :
    typeof define === 'function' && define.amd ? define('akita-ng-fire', ['exports', '@angular/core', '@angular/fire/firestore', '@datorama/akita', 'firebase/firestore', 'rxjs', 'rxjs/operators', '@angular/router', '@angular/fire/auth', 'firebase/app', 'firebase/auth'], factory) :
    (global = global || self, factory(global['akita-ng-fire'] = {}, global.ng.core, global.ng.fire.firestore, global.akita, null, global.rxjs, global.rxjs.operators, global.ng.router, global.ng.fire.auth, global.app));
}(this, (function (exports, core, firestore, akita, firestore$1, rxjs, operators, router, auth, app) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Helper to retrieve the id and path of a document in the collection
    /**
     * @param {?} options
     * @param {?=} collectionPath
     * @return {?}
     */
    function getIdAndPath(options, collectionPath) {
        /** @type {?} */
        var path = '';
        /** @type {?} */
        var id = '';
        if (options['id']) {
            if (!collectionPath) {
                throw new Error('You should provide the colletion path with the id');
            }
            id = options['id'];
            path = collectionPath + "/" + id;
        }
        else if (options['path']) {
            path = options['path'];
            /** @type {?} */
            var part = path.split('/');
            if (part.length % 2 !== 0) {
                throw new Error("Path " + path + " doesn't look like a Firestore's document path");
            }
            id = part[part.length - 1];
        }
        else {
            throw new Error("You should provide either an \"id\" OR a \"path\".");
        }
        return { id: id, path: path };
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Set the loading parameter of a specific store
     * @param {?} storeName
     * @param {?} loading
     * @return {?}
     */
    function setLoading(storeName, loading) {
        akita.runStoreAction(storeName, akita.StoreActions.Update, {
            payload: {
                data: { loading: loading }
            }
        });
    }
    /**
     *
     * @param {?} storeName
     * @param {?} active
     * @return {?}
     */
    function setActive(storeName, active) {
        akita.runStoreAction(storeName, akita.StoreActions.Update, {
            payload: {
                data: { active: active }
            }
        });
    }
    /**
     * Create or update one or several entities in the store
     * @param {?} storeName
     * @param {?} data
     * @return {?}
     */
    function upsertStoreEntity(storeName, data) {
        /** @type {?} */
        var payload = { data: data };
        akita.runStoreAction(storeName, akita.StoreActions.UpsertEntities, { payload: payload });
    }
    /**
     * Remove one or several entities in the store
     * @param {?} storeName
     * @param {?} entityIds
     * @return {?}
     */
    function removeStoreEntity(storeName, entityIds) {
        /** @type {?} */
        var payload = { entityIds: entityIds };
        akita.runStoreAction(storeName, akita.StoreActions.RemoveEntities, { payload: payload });
    }
    /**
     * Update one or several entities in the store
     * @param {?} storeName
     * @param {?} entityIds
     * @param {?} data
     * @return {?}
     */
    function updateStoreEntity(storeName, entityIds, data) {
        /** @type {?} */
        var payload = {
            data: data,
            entityIds: entityIds
        };
        akita.runStoreAction(storeName, akita.StoreActions.UpdateEntities, { payload: payload });
    }
    /**
     * Sync a specific store with actions from Firestore
     * @template S
     * @param {?} storeName
     * @param {?} actions
     * @param {?=} idKey
     * @return {?}
     */
    function syncStoreFromDocAction(storeName, actions, idKey) {
        var e_1, _a, _b;
        if (idKey === void 0) { idKey = 'id'; }
        setLoading(storeName, false);
        if (actions.length === 0) {
            return;
        }
        try {
            for (var actions_1 = __values(actions), actions_1_1 = actions_1.next(); !actions_1_1.done; actions_1_1 = actions_1.next()) {
                var action = actions_1_1.value;
                /** @type {?} */
                var id = action.payload.doc.id;
                /** @type {?} */
                var entity = action.payload.doc.data();
                switch (action.type) {
                    case 'added': {
                        upsertStoreEntity(storeName, __assign((_b = {}, _b[idKey] = id, _b), entity));
                        break;
                    }
                    case 'removed': {
                        removeStoreEntity(storeName, id);
                        break;
                    }
                    case 'modified': {
                        updateStoreEntity(storeName, id, entity);
                        break;
                    }
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (actions_1_1 && !actions_1_1.done && (_a = actions_1.return)) _a.call(actions_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
    }
    /**
     * Sync a specific store with actions from Firestore
     * @template S
     * @param {?} storeName
     * @param {?} action
     * @param {?=} idKey
     * @return {?}
     */
    function syncStoreFromDocActionSnapshot(storeName, action, idKey) {
        var _a;
        if (idKey === void 0) { idKey = 'id'; }
        setLoading(storeName, false);
        /** @type {?} */
        var id = action.payload.id;
        /** @type {?} */
        var entity = action.payload.data();
        if (!action.payload.exists) {
            removeStoreEntity(storeName, id);
        }
        else {
            upsertStoreEntity(storeName, __assign((_a = {}, _a[idKey] = id, _a), entity));
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Get the store name of a store to be synced
     * @param {?} store
     * @param {?=} storeOptions
     * @return {?}
     */
    function getStoreName(store, storeOptions) {
        if (storeOptions === void 0) { storeOptions = {}; }
        if (!store && !storeOptions.storeName) {
            throw new Error('You should either provide a store name or inject a store instance in constructor');
        }
        return storeOptions.storeName || store.storeName;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Get the params from a path
     * @param {?} path
     * @return {?}
     */
    function getPathParams(path) {
        return path.split('/')
            .filter((/**
         * @param {?} segment
         * @return {?}
         */
        function (segment) { return segment.charAt(0) === ':'; }))
            .map((/**
         * @param {?} segment
         * @return {?}
         */
        function (segment) { return segment.substr(1); }));
    }
    /**
     * Transform a path based on the params
     * \@example pathWithParams('movies/:movieId/stakeholder/:shId', { movieId, shId })
     * @param {?} path The path with params starting with "/:"
     * @param {?} params A map of id params
     * @return {?}
     */
    function pathWithParams(path, params) {
        return path.split('/').map((/**
         * @param {?} segment
         * @return {?}
         */
        function (segment) {
            if (segment.charAt(0) === ':') {
                /** @type {?} */
                var key = segment.substr(1);
                if (!params[key]) {
                    throw new Error("Required parameter " + key + " from " + path + " doesn't exist in params " + JSON.stringify(params));
                }
                return params[key];
            }
            else {
                return segment;
            }
        })).join('/');
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Same as Object.getOwnPropertyDescriptor, but recursively checks prototype chain excluding passed currentClass
     * \@example getPropertyDescriptor(this, 'path', CollectionService)
     * @param {?} instance Instance to check on
     * @param {?} property
     * @param {?=} currentClass Checks prototype chain until this class
     * @return {?}
     */
    function getPropertyDescriptor(instance, property, currentClass) {
        if (currentClass === void 0) { currentClass = Object; }
        /** @type {?} */
        var prototype = Object.getPrototypeOf(instance);
        if (!prototype || !(prototype instanceof currentClass))
            return;
        return Object.getOwnPropertyDescriptor(prototype, property) || getPropertyDescriptor(prototype, property, currentClass);
    }
    /**
     * Check prototype chain for a specific getter function, excluding parent class
     * \@example hasChildGetter(this, CollectionService, 'path')
     * @param {?} instance Instance of the class to check on
     * @param {?} parentClass Parent class of the instance
     * @param {?} property Property name to check
     * @return {?}
     */
    function hasChildGetter(instance, parentClass, property) {
        /** @type {?} */
        var descriptor = getPropertyDescriptor(instance, property, parentClass);
        return descriptor && descriptor.get && true;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template S
     */
    var   /**
     * @template S
     */
    CollectionService = /** @class */ (function () {
        function CollectionService(store, collectionPath, db) {
            this.store = store;
            this.collectionPath = collectionPath;
            // keep memory of the current ids to listen to (for syncManyDocs)
            this.idsToListen = {};
            if (!hasChildGetter(this, CollectionService, 'path') && !this.constructor['path'] && !this.collectionPath) {
                throw new Error('You should provide a path to the collection');
            }
            try {
                this.db = db || core.inject(firestore.AngularFirestore);
            }
            catch (err) {
                throw new Error('CollectionService requires AngularFirestore.');
            }
        }
        /**
         * @protected
         * @param {?} options
         * @return {?}
         */
        CollectionService.prototype.getPath = /**
         * @protected
         * @param {?} options
         * @return {?}
         */
        function (options) {
            return (options && options.params)
                ? pathWithParams(this.path, options.params)
                : this.currentPath;
        };
        Object.defineProperty(CollectionService.prototype, "idKey", {
            get: /**
             * @return {?}
             */
            function () {
                return this.constructor['idKey']
                    || this.store ? this.store.idKey : 'id';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(CollectionService.prototype, "path", {
            /** The path to the collection in Firestore */
            get: /**
             * The path to the collection in Firestore
             * @return {?}
             */
            function () {
                return this.constructor['path'] || this.collectionPath;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(CollectionService.prototype, "currentPath", {
            /** A snapshot of the path */
            get: /**
             * A snapshot of the path
             * @return {?}
             */
            function () {
                if (rxjs.isObservable(this.path)) {
                    throw new Error('Cannot get a snapshot of the path if it is an Observable');
                }
                return this.path;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(CollectionService.prototype, "collection", {
            /**
             * The Angular Fire collection
             * @notice If path is an observable, it becomes an observable.
             */
            get: /**
             * The Angular Fire collection
             * \@notice If path is an observable, it becomes an observable.
             * @return {?}
             */
            function () {
                return this.db.collection(this.currentPath);
            },
            enumerable: true,
            configurable: true
        });
        /** @deprecated Please use @see formatToFirestore */
        /**
         * @deprecated Please use \@see formatToFirestore
         * @protected
         * @template E
         * @param {?} document
         * @return {?}
         */
        CollectionService.prototype.preFormat = /**
         * @deprecated Please use \@see formatToFirestore
         * @protected
         * @template E
         * @param {?} document
         * @return {?}
         */
        function (document) {
            return document;
        };
        /**
         * Function triggered when adding/updating data to firestore
         * @note should be overrided
         */
        /**
         * Function triggered when adding/updating data to firestore
         * \@note should be overrided
         * @protected
         * @param {?} entity
         * @return {?}
         */
        CollectionService.prototype.formatToFirestore = /**
         * Function triggered when adding/updating data to firestore
         * \@note should be overrided
         * @protected
         * @param {?} entity
         * @return {?}
         */
        function (entity) {
            return entity;
        };
        Object.defineProperty(CollectionService.prototype, "config", {
            /** The config given by the `CollectonConfig` */
            get: /**
             * The config given by the `CollectonConfig`
             * @return {?}
             */
            function () {
                return {
                    path: this.constructor['path'],
                    idKey: this.constructor['idKey']
                };
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?=} pathOrQuery
         * @param {?=} queryOrOptions
         * @param {?=} syncOptions
         * @return {?}
         */
        CollectionService.prototype.syncCollection = /**
         * @param {?=} pathOrQuery
         * @param {?=} queryOrOptions
         * @param {?=} syncOptions
         * @return {?}
         */
        function (pathOrQuery, queryOrOptions, syncOptions) {
            var _this = this;
            if (pathOrQuery === void 0) { pathOrQuery = this.currentPath; }
            if (syncOptions === void 0) { syncOptions = { loading: true }; }
            /** @type {?} */
            var path;
            /** @type {?} */
            var queryFn;
            // check type of pathOrQuery
            if (typeof pathOrQuery === 'function') {
                queryFn = pathOrQuery;
                path = this.getPath((/** @type {?} */ (queryOrOptions)));
            }
            else if (typeof pathOrQuery === 'object') {
                syncOptions = pathOrQuery;
                path = this.getPath(syncOptions);
            }
            else if (typeof pathOrQuery === 'string') {
                path = pathOrQuery;
            }
            else {
                path = this.getPath(syncOptions);
            }
            // check type of queryOrOptions
            if (typeof queryOrOptions === 'function') {
                queryFn = queryOrOptions;
            }
            else if (typeof queryOrOptions === 'object') {
                syncOptions = queryOrOptions;
            }
            /** @type {?} */
            var storeName = getStoreName(this.store, syncOptions);
            if (syncOptions.loading) {
                setLoading(storeName, true);
            }
            // Start Listening
            return this.db.collection(path, queryFn).stateChanges().pipe(akita.withTransaction((/**
             * @param {?} actions
             * @return {?}
             */
            function (actions) { return syncStoreFromDocAction(storeName, actions, _this.idKey); })));
        };
        /**
         * @param {?=} idOrQuery
         * @param {?=} queryOrOption
         * @param {?=} syncOptions
         * @return {?}
         */
        CollectionService.prototype.syncCollectionGroup = /**
         * @param {?=} idOrQuery
         * @param {?=} queryOrOption
         * @param {?=} syncOptions
         * @return {?}
         */
        function (idOrQuery, queryOrOption, syncOptions) {
            var _this = this;
            if (idOrQuery === void 0) { idOrQuery = this.currentPath; }
            if (syncOptions === void 0) { syncOptions = { loading: true }; }
            /** @type {?} */
            var path;
            /** @type {?} */
            var query;
            if (typeof idOrQuery === 'string') {
                path = idOrQuery;
            }
            else if (typeof idOrQuery === 'function') {
                path = this.currentPath;
                query = idOrQuery;
            }
            else if (typeof idOrQuery === 'object') {
                path = this.currentPath;
                syncOptions = idOrQuery;
            }
            else {
                throw new Error('1ier parameter if either a string, a queryFn or a StoreOption');
            }
            if (typeof queryOrOption === 'function') {
                query = queryOrOption;
            }
            else if (typeof queryOrOption === 'object') {
                syncOptions = queryOrOption;
            }
            /** @type {?} */
            var storeName = getStoreName(this.store, syncOptions);
            if (syncOptions.loading) {
                setLoading(storeName, true);
            }
            /** @type {?} */
            var collectionId = path.split('/').pop();
            return this.db.collectionGroup(collectionId, query).stateChanges().pipe(akita.withTransaction((/**
             * @param {?} actions
             * @return {?}
             */
            function (actions) { return syncStoreFromDocAction(storeName, actions, _this.idKey); })));
        };
        /**
         * @param {?} ids$
         * @param {?=} syncOptions
         * @return {?}
         */
        CollectionService.prototype.syncManyDocs = /**
         * @param {?} ids$
         * @param {?=} syncOptions
         * @return {?}
         */
        function (ids$, syncOptions) {
            var _this = this;
            if (syncOptions === void 0) { syncOptions = { loading: true }; }
            if (!rxjs.isObservable(ids$)) {
                ids$ = rxjs.of(ids$);
            }
            /** @type {?} */
            var storeName = getStoreName(this.store, syncOptions);
            if (syncOptions.loading) {
                setLoading(storeName, true);
            }
            return ids$.pipe(operators.switchMap(((/**
             * @param {?} ids
             * @return {?}
             */
            function (ids) {
                // Remove previous ids that have changed
                /** @type {?} */
                var previousIds = _this.idsToListen[storeName];
                if (previousIds) {
                    /** @type {?} */
                    var idsToRemove = previousIds.filter((/**
                     * @param {?} id
                     * @return {?}
                     */
                    function (id) { return !ids.includes(id); }));
                    removeStoreEntity(storeName, idsToRemove);
                }
                _this.idsToListen[storeName] = ids;
                // Return empty array if no ids are provided
                if (!ids.length) {
                    return rxjs.of([]);
                }
                // Sync all docs
                /** @type {?} */
                var syncs = ids.map((/**
                 * @param {?} id
                 * @return {?}
                 */
                function (id) {
                    /** @type {?} */
                    var path = _this.getPath(syncOptions) + "/" + id;
                    return _this.db.doc(path).snapshotChanges();
                }));
                return rxjs.combineLatest(syncs).pipe(operators.tap((/**
                 * @param {?} actions
                 * @return {?}
                 */
                function (actions) { return actions.map((/**
                 * @param {?} action
                 * @return {?}
                 */
                function (action) {
                    syncStoreFromDocActionSnapshot(storeName, action, _this.idKey);
                })); })));
            }))));
        };
        /**
         * Stay in sync with one document
         * @param docOptions An object with EITHER `id` OR `path`.
         * @note We need to use id and path because there is no way to differentiate them.
         * @param syncOptions Options on the store to sync to
         */
        /**
         * Stay in sync with one document
         * \@note We need to use id and path because there is no way to differentiate them.
         * @param {?} docOptions An object with EITHER `id` OR `path`.
         * @param {?=} syncOptions Options on the store to sync to
         * @return {?}
         */
        CollectionService.prototype.syncDoc = /**
         * Stay in sync with one document
         * \@note We need to use id and path because there is no way to differentiate them.
         * @param {?} docOptions An object with EITHER `id` OR `path`.
         * @param {?=} syncOptions Options on the store to sync to
         * @return {?}
         */
        function (docOptions, syncOptions) {
            var _this = this;
            if (syncOptions === void 0) { syncOptions = { loading: false }; }
            /** @type {?} */
            var storeName = getStoreName(this.store, syncOptions);
            if (syncOptions.loading) {
                setLoading(storeName, true);
            }
            /** @type {?} */
            var collectionPath = this.getPath(syncOptions);
            var _a = getIdAndPath(docOptions, collectionPath), id = _a.id, path = _a.path;
            if (syncOptions.loading) {
                setLoading(storeName, true);
            }
            return this.db.doc(path).valueChanges().pipe(operators.map((/**
             * @param {?} entity
             * @return {?}
             */
            function (entity) {
                var _a;
                if (!entity) {
                    setLoading(storeName, false);
                    return undefined;
                }
                /** @type {?} */
                var data = __assign((_a = {}, _a[_this.idKey] = id, _a), entity);
                upsertStoreEntity(storeName, data);
                setLoading(storeName, false);
                return data;
            })));
        };
        /**
         * @param {?} options
         * @param {?=} syncOptions
         * @return {?}
         */
        CollectionService.prototype.syncActive = /**
         * @param {?} options
         * @param {?=} syncOptions
         * @return {?}
         */
        function (options, syncOptions) {
            var _this = this;
            /** @type {?} */
            var storeName = getStoreName(this.store, syncOptions);
            if (Array.isArray(options)) {
                return this.syncManyDocs(options, syncOptions).pipe(operators.tap((/**
                 * @param {?} _
                 * @return {?}
                 */
                function (_) { return setActive(storeName, options); })));
            }
            else {
                return this.syncDoc(options, syncOptions).pipe(operators.tap((/**
                 * @param {?} entity
                 * @return {?}
                 */
                function (entity) { return setActive(storeName, entity[_this.idKey]); })));
            }
        };
        /**
         * @param {?=} idOrQuery
         * @param {?=} options
         * @return {?}
         */
        CollectionService.prototype.getRef = /**
         * @param {?=} idOrQuery
         * @param {?=} options
         * @return {?}
         */
        function (idOrQuery, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var path, subpath;
                var _this = this;
                return __generator(this, function (_a) {
                    path = this.getPath(options);
                    // If path targets a collection ( odd number of segments after the split )
                    if (typeof idOrQuery === 'string') {
                        return [2 /*return*/, this.db.doc(path + "/" + idOrQuery).ref];
                    }
                    if (Array.isArray(idOrQuery)) {
                        return [2 /*return*/, Promise.all(idOrQuery.map((/**
                             * @param {?} id
                             * @return {?}
                             */
                            function (id) { return _this.db.doc(path + "/" + id).ref; })))];
                    }
                    else if (typeof idOrQuery === 'function') {
                        return [2 /*return*/, this.db.collection(path).ref];
                    }
                    else if (typeof idOrQuery === 'object') {
                        subpath = this.getPath(idOrQuery);
                        return [2 /*return*/, this.db.collection(subpath).ref];
                    }
                    else {
                        return [2 /*return*/, this.db.collection(path, idOrQuery).ref];
                    }
                    return [2 /*return*/];
                });
            });
        };
        /**
         * @param {?=} idOrQuery
         * @param {?=} options
         * @return {?}
         */
        CollectionService.prototype.getValue = /**
         * @param {?=} idOrQuery
         * @param {?=} options
         * @return {?}
         */
        function (idOrQuery, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var _a, path, snapshot, docs, ref, snaphot, subpath, snapshot, snapshot;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            path = this.getPath(options);
                            if (!(typeof idOrQuery === 'string')) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.db.doc(path + "/" + idOrQuery).ref.get()];
                        case 1:
                            snapshot = _b.sent();
                            return [2 /*return*/, snapshot.exists
                                    ? (/** @type {?} */ (__assign({}, snapshot.data(), (_a = {}, _a[this.idKey] = snapshot.id, _a)))) : null];
                        case 2:
                            if (!Array.isArray(idOrQuery)) return [3 /*break*/, 4];
                            return [4 /*yield*/, Promise.all(idOrQuery.map((/**
                                 * @param {?} id
                                 * @return {?}
                                 */
                                function (id) {
                                    return _this.db.doc(path + "/" + id).ref.get();
                                })))];
                        case 3:
                            docs = _b.sent();
                            return [3 /*break*/, 10];
                        case 4:
                            if (!(typeof idOrQuery === 'function')) return [3 /*break*/, 6];
                            ref = this.db.collection(path).ref;
                            return [4 /*yield*/, idOrQuery(ref).get()];
                        case 5:
                            snaphot = _b.sent();
                            docs = snaphot.docs;
                            return [3 /*break*/, 10];
                        case 6:
                            if (!(typeof idOrQuery === 'object')) return [3 /*break*/, 8];
                            subpath = this.getPath(idOrQuery);
                            return [4 /*yield*/, this.db.collection(subpath).ref.get()];
                        case 7:
                            snapshot = _b.sent();
                            docs = snapshot.docs;
                            return [3 /*break*/, 10];
                        case 8: return [4 /*yield*/, this.db.collection(path, idOrQuery).ref.get()];
                        case 9:
                            snapshot = _b.sent();
                            docs = snapshot.docs;
                            _b.label = 10;
                        case 10: return [2 /*return*/, docs.filter((/**
                             * @param {?} doc
                             * @return {?}
                             */
                            function (doc) { return doc.exists; }))
                                .map((/**
                             * @param {?} doc
                             * @return {?}
                             */
                            function (doc) {
                                var _a;
                                return (/** @type {?} */ ((__assign({}, doc.data(), (_a = {}, _a[_this.idKey] = doc.id, _a)))));
                            }))];
                    }
                });
            });
        };
        /**
         * Add a document or a list of document to Firestore
         * @param docs A document or a list of document
         * @param write batch or transaction to run the operation into
         */
        /**
         * Add a document or a list of document to Firestore
         * @template D
         * @param {?} documents
         * @param {?=} options
         * @return {?}
         */
        CollectionService.prototype.add = /**
         * Add a document or a list of document to Firestore
         * @template D
         * @param {?} documents
         * @param {?=} options
         * @return {?}
         */
        function (documents, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var docs, _a, write, ctx, path, operations, ids;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            docs = (/** @type {?} */ ((Array.isArray(documents) ? documents : [documents])));
                            _a = options.write, write = _a === void 0 ? this.db.firestore.batch() : _a, ctx = options.ctx;
                            path = this.getPath(options);
                            operations = docs.map((/**
                             * @param {?} doc
                             * @return {?}
                             */
                            function (doc) { return __awaiter(_this, void 0, void 0, function () {
                                var _a, id, data, ref;
                                return __generator(this, function (_b) {
                                    switch (_b.label) {
                                        case 0:
                                            id = doc[this.idKey] || this.db.createId();
                                            data = this.preFormat(__assign({}, doc, (_a = {}, _a[this.idKey] = id, _a)));
                                            ref = this.db.doc(path + "/" + id).ref;
                                            ((/** @type {?} */ (write))).set(ref, this.formatToFirestore((data)));
                                            if (!this.onCreate) return [3 /*break*/, 2];
                                            return [4 /*yield*/, this.onCreate(data, { write: write, ctx: ctx })];
                                        case 1:
                                            _b.sent();
                                            _b.label = 2;
                                        case 2: return [2 /*return*/, id];
                                    }
                                });
                            }); }));
                            return [4 /*yield*/, Promise.all(operations)];
                        case 1:
                            ids = _b.sent();
                            if (!!options.write) return [3 /*break*/, 3];
                            return [4 /*yield*/, ((/** @type {?} */ (write))).commit()];
                        case 2:
                            _b.sent();
                            _b.label = 3;
                        case 3: return [2 /*return*/, Array.isArray(documents) ? ids : ids[0]];
                    }
                });
            });
        };
        /**
         * Remove one or several document from Firestore
         * @param id A unique or list of id representing the document
         * @param write batch or transaction to run the operation into
         */
        /**
         * Remove one or several document from Firestore
         * @param {?} id A unique or list of id representing the document
         * @param {?=} options
         * @return {?}
         */
        CollectionService.prototype.remove = /**
         * Remove one or several document from Firestore
         * @param {?} id A unique or list of id representing the document
         * @param {?=} options
         * @return {?}
         */
        function (id, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var _a, write, ctx, path, ids, operations;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            _a = options.write, write = _a === void 0 ? this.db.firestore.batch() : _a, ctx = options.ctx;
                            path = this.getPath(options);
                            ids = Array.isArray(id) ? id : [id];
                            operations = ids.map((/**
                             * @param {?} docId
                             * @return {?}
                             */
                            function (docId) { return __awaiter(_this, void 0, void 0, function () {
                                var ref;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0:
                                            ref = this.db.doc(path + "/" + docId).ref;
                                            write.delete(ref);
                                            if (!this.onDelete) return [3 /*break*/, 2];
                                            return [4 /*yield*/, this.onDelete(docId, { write: write, ctx: ctx })];
                                        case 1:
                                            _a.sent();
                                            _a.label = 2;
                                        case 2: return [2 /*return*/];
                                    }
                                });
                            }); }));
                            return [4 /*yield*/, Promise.all(operations)];
                        case 1:
                            _b.sent();
                            // If there is no atomic write provided
                            if (!options.write) {
                                return [2 /*return*/, ((/** @type {?} */ (write))).commit()];
                            }
                            return [2 /*return*/];
                    }
                });
            });
        };
        /** Remove all document of the collection */
        /**
         * Remove all document of the collection
         * @param {?=} options
         * @return {?}
         */
        CollectionService.prototype.removeAll = /**
         * Remove all document of the collection
         * @param {?=} options
         * @return {?}
         */
        function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var path, snapshot, ids;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            path = this.getPath(options);
                            return [4 /*yield*/, this.db.collection(path).ref.get()];
                        case 1:
                            snapshot = _a.sent();
                            ids = snapshot.docs.map((/**
                             * @param {?} doc
                             * @return {?}
                             */
                            function (doc) { return doc.id; }));
                            return [2 /*return*/, this.remove(ids)];
                    }
                });
            });
        };
        /**
         * @param {?} idsOrEntity
         * @param {?=} stateFnOrWrite
         * @param {?=} options
         * @return {?}
         */
        CollectionService.prototype.update = /**
         * @param {?} idsOrEntity
         * @param {?=} stateFnOrWrite
         * @param {?=} options
         * @return {?}
         */
        function (idsOrEntity, stateFnOrWrite, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var ids, newStateOrFn, isEntity, isEntityArray, ctx, path, _a, write_1, operations, _b, write_2, operations;
                var _this = this;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            ids = [];
                            newStateOrFn = (/** @type {?} */ (stateFnOrWrite));
                            isEntity = (/**
                             * @param {?} value
                             * @return {?}
                             */
                            function (value) {
                                return typeof value === 'object' && value[_this.idKey];
                            });
                            isEntityArray = (/**
                             * @param {?} values
                             * @return {?}
                             */
                            function (values) {
                                return Array.isArray(values) && values.every((/**
                                 * @param {?} value
                                 * @return {?}
                                 */
                                function (value) { return isEntity(value); }));
                            });
                            ctx = options.ctx;
                            path = this.getPath(options);
                            if (!isEntityArray(idsOrEntity)) return [3 /*break*/, 2];
                            _a = options.write, write_1 = _a === void 0 ? this.db.firestore.batch() : _a;
                            operations = ((/** @type {?} */ (idsOrEntity))).map((/**
                             * @param {?} entity
                             * @return {?}
                             */
                            function (entity) { return __awaiter(_this, void 0, void 0, function () {
                                var doc, data, ref;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0:
                                            doc = Object.freeze(entity);
                                            data = this.preFormat(doc);
                                            if (!entity[this.idKey]) {
                                                throw new Error("Document should have an unique id to be updated, but none was found in " + entity);
                                            }
                                            ref = this.db.doc(path + "/" + entity[this.idKey]).ref;
                                            write_1.update(ref, this.formatToFirestore(data));
                                            if (!this.onUpdate) return [3 /*break*/, 2];
                                            return [4 /*yield*/, this.onUpdate(data, { write: write_1, ctx: ctx })];
                                        case 1:
                                            _a.sent();
                                            _a.label = 2;
                                        case 2: return [2 /*return*/];
                                    }
                                });
                            }); }));
                            return [4 /*yield*/, Promise.all(operations)];
                        case 1:
                            _c.sent();
                            // If there is no atomic write provided
                            if (!options.write) {
                                return [2 /*return*/, ((/** @type {?} */ (write_1))).commit()];
                            }
                            return [2 /*return*/];
                        case 2:
                            if (isEntity(idsOrEntity)) {
                                ids = [idsOrEntity[this.idKey]];
                                options = (/** @type {?} */ (stateFnOrWrite)) || {};
                                newStateOrFn = idsOrEntity;
                            }
                            else {
                                ids = Array.isArray(idsOrEntity) ? idsOrEntity : [idsOrEntity];
                            }
                            if (!Array.isArray(ids) || !ids.length) {
                                return [2 /*return*/];
                            }
                            // If update depends on the entity, use transaction
                            if (typeof newStateOrFn === 'function') {
                                return [2 /*return*/, this.db.firestore.runTransaction((/**
                                     * @param {?} tx
                                     * @return {?}
                                     */
                                    function (tx) { return __awaiter(_this, void 0, void 0, function () {
                                        var operations;
                                        var _this = this;
                                        return __generator(this, function (_a) {
                                            operations = ids.map((/**
                                             * @param {?} id
                                             * @return {?}
                                             */
                                            function (id) { return __awaiter(_this, void 0, void 0, function () {
                                                var _a, ref, snapshot, doc, data;
                                                return __generator(this, function (_b) {
                                                    switch (_b.label) {
                                                        case 0:
                                                            ref = this.db.doc(path + "/" + id).ref;
                                                            return [4 /*yield*/, tx.get(ref)];
                                                        case 1:
                                                            snapshot = _b.sent();
                                                            doc = Object.freeze((/** @type {?} */ (__assign({}, snapshot.data(), (_a = {}, _a[this.idKey] = id, _a)))));
                                                            data = ((/** @type {?} */ (newStateOrFn)))(this.preFormat(doc));
                                                            tx.update(ref, this.formatToFirestore(data));
                                                            if (!this.onUpdate) return [3 /*break*/, 3];
                                                            return [4 /*yield*/, this.onUpdate(data, { write: tx, ctx: ctx })];
                                                        case 2:
                                                            _b.sent();
                                                            _b.label = 3;
                                                        case 3: return [2 /*return*/, tx];
                                                    }
                                                });
                                            }); }));
                                            return [2 /*return*/, Promise.all(operations)];
                                        });
                                    }); }))];
                            }
                            if (!(typeof newStateOrFn === 'object')) return [3 /*break*/, 4];
                            _b = options.write, write_2 = _b === void 0 ? this.db.firestore.batch() : _b;
                            operations = ids.map((/**
                             * @param {?} docId
                             * @return {?}
                             */
                            function (docId) { return __awaiter(_this, void 0, void 0, function () {
                                var doc, data, ref;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0:
                                            doc = Object.freeze((/** @type {?} */ (newStateOrFn)));
                                            data = this.preFormat(doc);
                                            ref = this.db.doc(path + "/" + docId).ref;
                                            write_2.update(ref, this.formatToFirestore(data));
                                            if (!this.onUpdate) return [3 /*break*/, 2];
                                            return [4 /*yield*/, this.onUpdate(data, { write: write_2, ctx: ctx })];
                                        case 1:
                                            _a.sent();
                                            _a.label = 2;
                                        case 2: return [2 /*return*/];
                                    }
                                });
                            }); }));
                            return [4 /*yield*/, Promise.all(operations)];
                        case 3:
                            _c.sent();
                            // If there is no atomic write provided
                            if (!options.write) {
                                return [2 /*return*/, ((/** @type {?} */ (write_2))).commit()];
                            }
                            _c.label = 4;
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        return CollectionService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        CollectionService.prototype.idsToListen;
        /**
         * @type {?}
         * @protected
         */
        CollectionService.prototype.db;
        /**
         * @type {?}
         * @protected
         */
        CollectionService.prototype.store;
        /**
         * @type {?}
         * @private
         */
        CollectionService.prototype.collectionPath;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function CollectionOptions() { }
    if (false) {
        /**
         * The path of the collection in Firestore
         * @type {?}
         */
        CollectionOptions.prototype.path;
        /**
         * The key to use as an id for the document in Firestore. Default is store.idKey
         * @type {?}
         */
        CollectionOptions.prototype.idKey;
    }
    /**
     * Set the configuration for the collection service
     * @param {?=} options
     * @return {?}
     */
    function CollectionConfig(options) {
        if (options === void 0) { options = {}; }
        return (/**
         * @param {?} constructor
         * @return {?}
         */
        function (constructor) {
            Object.keys(options).forEach((/**
             * @param {?} key
             * @return {?}
             */
            function (key) { return constructor[key] = options[key]; }));
        });
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     * @template P
     */
    function FireAuthState() { }
    if (false) {
        /** @type {?} */
        FireAuthState.prototype.uid;
        /** @type {?} */
        FireAuthState.prototype.emailVerified;
        /** @type {?} */
        FireAuthState.prototype.profile;
        /** @type {?} */
        FireAuthState.prototype.loading;
        /* Skipping unhandled member: [key: string]: any;*/
    }
    /**
     * @record
     * @template R
     */
    function RoleState() { }
    if (false) {
        /** @type {?} */
        RoleState.prototype.roles;
    }
    /** @type {?} */
    var initialAuthState = {
        uid: null,
        emailVerified: undefined,
        profile: null,
        loading: false
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var fireAuthProviders = (/** @type {?} */ (['github', 'google', 'microsoft', 'facebook', 'twitter', 'email']));
    /**
     * Verify if provider is part of the list of Authentication provider provided by Firebase Auth
     * @param {?} provider
     * @return {?}
     */
    function isFireAuthProvider(provider) {
        return fireAuthProviders.includes((/** @type {?} */ (provider)));
    }
    /**
     * Get the custom claims of a user. If no key is provided, return the whole claims object
     * @param {?} user The user object returned by Firebase Auth
     * @param {?=} roles Keys of the custom claims inside the claim objet
     * @return {?}
     */
    function getCustomClaims(user, roles) {
        return __awaiter(this, void 0, void 0, function () {
            var claims, keys;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, user.getIdTokenResult()];
                    case 1:
                        claims = (_a.sent()).claims;
                        if (!roles) {
                            return [2 /*return*/, claims];
                        }
                        keys = Array.isArray(roles) ? roles : [roles];
                        return [2 /*return*/, Object.keys(claims)
                                .filter((/**
                             * @param {?} key
                             * @return {?}
                             */
                            function (key) { return keys.includes(key); }))
                                .reduce((/**
                             * @param {?} acc
                             * @param {?} key
                             * @return {?}
                             */
                            function (acc, key) {
                                acc[key] = claims[key];
                                return acc;
                            }), {})];
                }
            });
        });
    }
    /**
     * Get the Authentication Provider based on its name
     * @param {?} provider string literal representing the name of the provider
     * @return {?}
     */
    function getAuthProvider(provider) {
        switch (provider) {
            case 'email': return new app.auth.EmailAuthProvider();
            case 'facebook': return new app.auth.FacebookAuthProvider();
            case 'github': return new app.auth.GithubAuthProvider();
            case 'google': return new app.auth.GoogleAuthProvider();
            case 'microsoft': return new app.auth.OAuthProvider('microsoft.com');
            case 'twitter': return new app.auth.TwitterAuthProvider();
        }
    }
    /**
     * @template S
     */
    var   /**
     * @template S
     */
    FireAuthService = /** @class */ (function () {
        function FireAuthService(store, db, fireAuth) {
            this.store = store;
            this.collectionPath = 'users';
            this.db = db || core.inject(firestore.AngularFirestore);
            this.fireAuth = fireAuth || core.inject(auth.AngularFireAuth);
            this.collection = this.db.collection(this.path);
        }
        Object.defineProperty(FireAuthService.prototype, "idKey", {
            get: /**
             * @return {?}
             */
            function () {
                return this.constructor['idKey'] || 'id';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Select the profile in the Firestore
         * @note can be override to point to a different place
         */
        /**
         * Select the profile in the Firestore
         * \@note can be override to point to a different place
         * @protected
         * @param {?} user
         * @return {?}
         */
        FireAuthService.prototype.selectProfile = /**
         * Select the profile in the Firestore
         * \@note can be override to point to a different place
         * @protected
         * @param {?} user
         * @return {?}
         */
        function (user) {
            return this.collection.doc(user.uid).valueChanges();
        };
        /**
         * Select the roles for this user. Can be in custom claims or in a Firestore collection
         * @param user The user given by FireAuth
         * @see getCustomClaims to get the custom claims out of the user
         * @note Can be overrided
         */
        /**
         * Select the roles for this user. Can be in custom claims or in a Firestore collection
         * @see getCustomClaims to get the custom claims out of the user
         * \@note Can be overrided
         * @protected
         * @param {?} user The user given by FireAuth
         * @return {?}
         */
        FireAuthService.prototype.selectRoles = /**
         * Select the roles for this user. Can be in custom claims or in a Firestore collection
         * @see getCustomClaims to get the custom claims out of the user
         * \@note Can be overrided
         * @protected
         * @param {?} user The user given by FireAuth
         * @return {?}
         */
        function (user) {
            return rxjs.of(null);
        };
        /**
         * Function triggered when getting data from firestore
         * @note should be overrided
         */
        /**
         * Function triggered when getting data from firestore
         * \@note should be overrided
         * @protected
         * @param {?} user
         * @return {?}
         */
        FireAuthService.prototype.formatFromFirestore = /**
         * Function triggered when getting data from firestore
         * \@note should be overrided
         * @protected
         * @param {?} user
         * @return {?}
         */
        function (user) {
            return user;
        };
        /**
         * Function triggered when adding/updating data to firestore
         * @note should be overrided
         */
        /**
         * Function triggered when adding/updating data to firestore
         * \@note should be overrided
         * @protected
         * @param {?} user
         * @return {?}
         */
        FireAuthService.prototype.formatToFirestore = /**
         * Function triggered when adding/updating data to firestore
         * \@note should be overrided
         * @protected
         * @param {?} user
         * @return {?}
         */
        function (user) {
            return user;
        };
        /**
         * Function triggered when transforming a user into a profile
         * @param user The user object from FireAuth
         * @param ctx The context given on signup
         * @note Should be override
         */
        /**
         * Function triggered when transforming a user into a profile
         * \@note Should be override
         * @protected
         * @param {?} user The user object from FireAuth
         * @param {?=} ctx The context given on signup
         * @return {?}
         */
        FireAuthService.prototype.createProfile = /**
         * Function triggered when transforming a user into a profile
         * \@note Should be override
         * @protected
         * @param {?} user The user object from FireAuth
         * @param {?=} ctx The context given on signup
         * @return {?}
         */
        function (user, ctx) {
            return (/** @type {?} */ ({
                photoURL: user.photoURL,
                displayName: user.displayName,
            }));
        };
        Object.defineProperty(FireAuthService.prototype, "user", {
            /** The current sign-in user (or null) */
            get: /**
             * The current sign-in user (or null)
             * @return {?}
             */
            function () {
                return this.fireAuth.auth.currentUser;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FireAuthService.prototype, "path", {
            /** The path to the profile in firestore */
            get: /**
             * The path to the profile in firestore
             * @return {?}
             */
            function () {
                return this.constructor['path'] || this.collectionPath;
            },
            enumerable: true,
            configurable: true
        });
        /** Start listening on User */
        /**
         * Start listening on User
         * @return {?}
         */
        FireAuthService.prototype.sync = /**
         * Start listening on User
         * @return {?}
         */
        function () {
            var _this = this;
            return this.fireAuth.authState.pipe(operators.switchMap((/**
             * @param {?} user
             * @return {?}
             */
            function (user) { return user ? rxjs.combineLatest([
                rxjs.of(user),
                _this.selectProfile(user),
                _this.selectRoles(user),
            ]) : rxjs.of([undefined, undefined, undefined]); })), operators.tap((/**
             * @param {?} __0
             * @return {?}
             */
            function (_a) {
                var _b = __read(_a, 3), _c = _b[0], user = _c === void 0 ? {} : _c, userProfile = _b[1], roles = _b[2];
                /** @type {?} */
                var profile = _this.formatFromFirestore(userProfile);
                var uid = user.uid, emailVerified = user.emailVerified;
                _this.store.update((/** @type {?} */ ({ uid: uid, emailVerified: emailVerified, profile: profile, roles: roles })));
            })), operators.map((/**
             * @param {?} __0
             * @return {?}
             */
            function (_a) {
                var _b = __read(_a, 3), user = _b[0], userProfile = _b[1], roles = _b[2];
                return user ? [user, _this.formatFromFirestore(userProfile), roles] : null;
            })));
        };
        /**
         * @description Delete user from authentication service and database
         * WARNING This is security sensitive operation
         */
        /**
         * \@description Delete user from authentication service and database
         * WARNING This is security sensitive operation
         * @param {?=} options
         * @return {?}
         */
        FireAuthService.prototype.delete = /**
         * \@description Delete user from authentication service and database
         * WARNING This is security sensitive operation
         * @param {?=} options
         * @return {?}
         */
        function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var _a, write, ctx, ref;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (!this.user) {
                                throw new Error('No user connected');
                            }
                            _a = options.write, write = _a === void 0 ? this.db.firestore.batch() : _a, ctx = options.ctx;
                            ref = this.collection.doc(this.user.uid).ref;
                            write.delete(ref);
                            if (!this.onDelete) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.onDelete({ write: write, ctx: ctx })];
                        case 1:
                            _b.sent();
                            _b.label = 2;
                        case 2:
                            if (!!options.write) return [3 /*break*/, 4];
                            return [4 /*yield*/, ((/** @type {?} */ (write))).commit()];
                        case 3:
                            _b.sent();
                            _b.label = 4;
                        case 4: return [2 /*return*/, this.user.delete()];
                    }
                });
            });
        };
        /** Update the current profile of the authenticated user */
        /**
         * Update the current profile of the authenticated user
         * @param {?} profile
         * @param {?=} options
         * @return {?}
         */
        FireAuthService.prototype.update = /**
         * Update the current profile of the authenticated user
         * @param {?} profile
         * @param {?=} options
         * @return {?}
         */
        function (profile, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var _a, write, ctx, ref;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (!this.user.uid) {
                                throw new Error('No user connected.');
                            }
                            if (!(typeof profile === 'function')) return [3 /*break*/, 1];
                            return [2 /*return*/, this.db.firestore.runTransaction((/**
                                 * @param {?} tx
                                 * @return {?}
                                 */
                                function (tx) { return __awaiter(_this, void 0, void 0, function () {
                                    var _a, ref, snapshot, doc, data;
                                    return __generator(this, function (_b) {
                                        switch (_b.label) {
                                            case 0:
                                                ref = this.collection.doc(this.user.uid).ref;
                                                return [4 /*yield*/, tx.get(ref)];
                                            case 1:
                                                snapshot = _b.sent();
                                                doc = Object.freeze(__assign({}, snapshot.data(), (_a = {}, _a[this.idKey] = snapshot.id, _a)));
                                                data = ((/** @type {?} */ (profile)))(this.formatFromFirestore(doc));
                                                tx.update(ref, data);
                                                if (!this.onUpdate) return [3 /*break*/, 3];
                                                return [4 /*yield*/, this.onUpdate(data, { write: tx, ctx: options.ctx })];
                                            case 2:
                                                _b.sent();
                                                _b.label = 3;
                                            case 3: return [2 /*return*/, tx];
                                        }
                                    });
                                }); }))];
                        case 1:
                            if (!(typeof profile === 'object')) return [3 /*break*/, 4];
                            _a = options.write, write = _a === void 0 ? this.db.firestore.batch() : _a, ctx = options.ctx;
                            ref = this.collection.doc(this.user.uid).ref;
                            write.update(ref, this.formatToFirestore(profile));
                            if (!this.onCreate) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.onCreate(profile, { write: write, ctx: ctx })];
                        case 2:
                            _b.sent();
                            _b.label = 3;
                        case 3:
                            // If there is no atomic write provided
                            if (!options.write) {
                                return [2 /*return*/, ((/** @type {?} */ (write))).commit()];
                            }
                            _b.label = 4;
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        /** Create a user based on email and password */
        /**
         * Create a user based on email and password
         * @param {?} email
         * @param {?} password
         * @param {?=} options
         * @return {?}
         */
        FireAuthService.prototype.signup = /**
         * Create a user based on email and password
         * @param {?} email
         * @param {?} password
         * @param {?=} options
         * @return {?}
         */
        function (email, password, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var cred, _a, write, ctx, profile, ref;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0: return [4 /*yield*/, this.fireAuth.auth.createUserWithEmailAndPassword(email, password)];
                        case 1:
                            cred = _b.sent();
                            _a = options.write, write = _a === void 0 ? this.db.firestore.batch() : _a, ctx = options.ctx;
                            if (!this.onSignup) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.onSignup(cred, { write: write, ctx: ctx })];
                        case 2:
                            _b.sent();
                            _b.label = 3;
                        case 3: return [4 /*yield*/, this.createProfile(cred.user, ctx)];
                        case 4:
                            profile = _b.sent();
                            ref = this.collection.doc(cred.user.uid).ref;
                            ((/** @type {?} */ (write))).set(ref, this.formatToFirestore(profile));
                            if (!this.onCreate) return [3 /*break*/, 6];
                            return [4 /*yield*/, this.onCreate(profile, { write: write })];
                        case 5:
                            _b.sent();
                            _b.label = 6;
                        case 6:
                            if (!!options.write) return [3 /*break*/, 8];
                            return [4 /*yield*/, ((/** @type {?} */ (write))).commit()];
                        case 7:
                            _b.sent();
                            _b.label = 8;
                        case 8: return [2 /*return*/, cred];
                    }
                });
            });
        };
        /**
         * @param {?=} provider
         * @param {?=} password
         * @return {?}
         */
        FireAuthService.prototype.signin = /**
         * @param {?=} provider
         * @param {?=} password
         * @return {?}
         */
        function (provider, password) {
            return __awaiter(this, void 0, void 0, function () {
                var cred, authProvider, profile, write, ref, err_1;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.store.setLoading(true);
                            _a.label = 1;
                        case 1:
                            _a.trys.push([1, 15, , 16]);
                            cred = void 0;
                            if (!!provider) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.fireAuth.auth.signInAnonymously()];
                        case 2:
                            cred = _a.sent();
                            return [3 /*break*/, 9];
                        case 3:
                            if (!password) return [3 /*break*/, 5];
                            return [4 /*yield*/, this.fireAuth.auth.signInWithEmailAndPassword(provider, password)];
                        case 4:
                            cred = _a.sent();
                            return [3 /*break*/, 9];
                        case 5:
                            if (!isFireAuthProvider(provider)) return [3 /*break*/, 7];
                            authProvider = getAuthProvider(provider);
                            return [4 /*yield*/, this.fireAuth.auth.signInWithPopup(authProvider)];
                        case 6:
                            cred = _a.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, this.fireAuth.auth.signInWithCustomToken(provider)];
                        case 8:
                            cred = _a.sent();
                            _a.label = 9;
                        case 9:
                            if (!cred.additionalUserInfo.isNewUser) return [3 /*break*/, 13];
                            if (this.onSignup) {
                                this.onSignup(cred, {});
                            }
                            return [4 /*yield*/, this.createProfile(cred.user)];
                        case 10:
                            profile = _a.sent();
                            write = this.db.firestore.batch();
                            ref = this.collection.doc(cred.user.uid).ref;
                            write.set(ref, this.formatToFirestore(profile));
                            if (!this.onCreate) return [3 /*break*/, 12];
                            return [4 /*yield*/, this.onCreate(profile, { write: write })];
                        case 11:
                            _a.sent();
                            _a.label = 12;
                        case 12:
                            write.commit();
                            return [3 /*break*/, 14];
                        case 13:
                            if (this.onSignin) {
                                this.onSignin(cred);
                            }
                            _a.label = 14;
                        case 14:
                            this.store.setLoading(false);
                            return [2 /*return*/, cred];
                        case 15:
                            err_1 = _a.sent();
                            this.store.setLoading(false);
                            if (err_1.code === 'auth/operation-not-allowed') {
                                console.warn('You tried to connect with unenabled auth provider. Enable it in Firebase console');
                            }
                            throw err_1;
                        case 16: return [2 /*return*/];
                    }
                });
            });
        };
        /** Signs out the current user and clear the store */
        /**
         * Signs out the current user and clear the store
         * @return {?}
         */
        FireAuthService.prototype.signOut = /**
         * Signs out the current user and clear the store
         * @return {?}
         */
        function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.fireAuth.auth.signOut()];
                        case 1:
                            _a.sent();
                            this.store.update((/** @type {?} */ (initialAuthState)));
                            if (this.onSignout) {
                                this.onSignout();
                            }
                            return [2 /*return*/];
                    }
                });
            });
        };
        return FireAuthService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        FireAuthService.prototype.collection;
        /**
         * @type {?}
         * @protected
         */
        FireAuthService.prototype.collectionPath;
        /**
         * @type {?}
         * @protected
         */
        FireAuthService.prototype.fireAuth;
        /**
         * @type {?}
         * @protected
         */
        FireAuthService.prototype.db;
        /**
         * @type {?}
         * @protected
         */
        FireAuthService.prototype.store;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function CollectionRouteData() { }
    if (false) {
        /** @type {?} */
        CollectionRouteData.prototype.queryFn;
        /** @type {?} */
        CollectionRouteData.prototype.redirect;
        /** @type {?} */
        CollectionRouteData.prototype.awaitSync;
    }
    /**
     * @param {?} data
     * @return {?}
     */
    function CollectionGuardConfig(data) {
        return (/**
         * @param {?} constructor
         * @return {?}
         */
        function (constructor) {
            Object.keys(data).forEach((/**
             * @param {?} key
             * @return {?}
             */
            function (key) { return (constructor[key] = data[key]); }));
        });
    }
    /**
     * @template S
     */
    var   /**
     * @template S
     */
    CollectionGuard = /** @class */ (function () {
        function CollectionGuard(service) {
            this.service = service;
            try {
                this.router = core.inject(router.Router);
            }
            catch (err) {
                throw new Error('CollectionGuard requires RouterModule to be imported');
            }
        }
        Object.defineProperty(CollectionGuard.prototype, "awaitSync", {
            // Can be override by the extended class
            /** Should the guard wait for connection to Firestore to complete */
            get: 
            // Can be override by the extended class
            /**
             * Should the guard wait for connection to Firestore to complete
             * @protected
             * @return {?}
             */
            function () {
                return this.constructor['awaitSync'] || false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(CollectionGuard.prototype, "queryFn", {
            // Can be override by the extended class
            /** A queryFn to execute for sync */
            get: 
            // Can be override by the extended class
            /**
             * A queryFn to execute for sync
             * @protected
             * @return {?}
             */
            function () {
                return this.constructor['queryFn'];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(CollectionGuard.prototype, "redirect", {
            // Can be override by the extended class
            /** The route to redirect to if you sync failed */
            get: 
            // Can be override by the extended class
            /**
             * The route to redirect to if you sync failed
             * @protected
             * @return {?}
             */
            function () {
                return this.constructor['redirect'];
            },
            enumerable: true,
            configurable: true
        });
        // Can be override by the extended class
        /** The method to subscribe to while route is active */
        // Can be override by the extended class
        /**
         * The method to subscribe to while route is active
         * @protected
         * @param {?} next
         * @param {?} state
         * @return {?}
         */
        CollectionGuard.prototype.sync = 
        // Can be override by the extended class
        /**
         * The method to subscribe to while route is active
         * @protected
         * @param {?} next
         * @param {?} state
         * @return {?}
         */
        function (next, state) {
            var _a = (/** @type {?} */ (next.data)).queryFn, queryFn = _a === void 0 ? this.queryFn : _a;
            if (this.service instanceof FireAuthService) {
                return this.service.sync();
            }
            else if (this.service instanceof CollectionService) {
                return this.service.syncCollection(queryFn);
            }
        };
        /**
         * @param {?} next
         * @param {?} state
         * @return {?}
         */
        CollectionGuard.prototype.canActivate = /**
         * @param {?} next
         * @param {?} state
         * @return {?}
         */
        function (next, state) {
            var _this = this;
            var _a = (/** @type {?} */ (next.data)), _b = _a.redirect, redirect = _b === void 0 ? this.redirect : _b, _c = _a.awaitSync, awaitSync = _c === void 0 ? this.awaitSync : _c;
            return new Promise((/**
             * @param {?} res
             * @param {?} rej
             * @return {?}
             */
            function (res, rej) {
                if (awaitSync) {
                    /** @type {?} */
                    var unsubscribe_1 = new rxjs.Subject();
                    _this.subscription = _this.sync(next, state).pipe(operators.takeUntil(unsubscribe_1)).subscribe({
                        next: (/**
                         * @param {?} result
                         * @return {?}
                         */
                        function (result) {
                            if (result instanceof router.UrlTree) {
                                return res(result);
                            }
                            switch (typeof result) {
                                case 'string':
                                    unsubscribe_1.next();
                                    unsubscribe_1.complete();
                                    return res(_this.router.parseUrl(result));
                                case 'boolean':
                                    return res(result);
                                default:
                                    return res(true);
                            }
                        }),
                        error: (/**
                         * @param {?} err
                         * @return {?}
                         */
                        function (err) {
                            res(_this.router.parseUrl(redirect || ''));
                            throw new Error(err);
                        })
                    });
                }
                else {
                    _this.subscription = _this.sync(next, state).subscribe();
                    res(true);
                }
            }));
        };
        /**
         * @return {?}
         */
        CollectionGuard.prototype.canDeactivate = /**
         * @return {?}
         */
        function () {
            if (this.subscription) {
                this.subscription.unsubscribe();
            }
            return true;
        };
        return CollectionGuard;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        CollectionGuard.prototype.subscription;
        /**
         * @type {?}
         * @protected
         */
        CollectionGuard.prototype.router;
        /**
         * @type {?}
         * @protected
         */
        CollectionGuard.prototype.service;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @deprecated Use CollectionService instead
     * @abstract
     * @template S
     */
    var   /**
     * @deprecated Use CollectionService instead
     * @abstract
     * @template S
     */
    CollectionGroupService = /** @class */ (function () {
        function CollectionGroupService(store) {
            this.store = store;
            try {
                this.db = core.inject(firestore.AngularFirestore);
            }
            catch (err) {
                throw new Error('CollectionGroupService requires AngularFirestore.');
            }
        }
        Object.defineProperty(CollectionGroupService.prototype, "idKey", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.store) {
                    return this.store.idKey;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?=} queryOrOptions
         * @param {?=} storeOptions
         * @return {?}
         */
        CollectionGroupService.prototype.syncCollection = /**
         * @param {?=} queryOrOptions
         * @param {?=} storeOptions
         * @return {?}
         */
        function (queryOrOptions, storeOptions) {
            var _this = this;
            if (storeOptions === void 0) { storeOptions = { loading: true }; }
            /** @type {?} */
            var query;
            if (typeof queryOrOptions === 'function') {
                query = queryOrOptions;
            }
            else if (typeof queryOrOptions === 'object') {
                storeOptions = queryOrOptions;
            }
            /** @type {?} */
            var storeName = getStoreName(this.store, storeOptions);
            if (storeOptions.loading) {
                setLoading(storeName, true);
            }
            return this.db.collectionGroup(this.collectionId, query).stateChanges().pipe(akita.withTransaction((/**
             * @param {?} actions
             * @return {?}
             */
            function (actions) { return syncStoreFromDocAction(storeName, actions, _this.idKey); })));
        };
        /** Return a snapshot of the collection group */
        /**
         * Return a snapshot of the collection group
         * @param {?=} queryGroupFn
         * @return {?}
         */
        CollectionGroupService.prototype.getValue = /**
         * Return a snapshot of the collection group
         * @param {?=} queryGroupFn
         * @return {?}
         */
        function (queryGroupFn) {
            return __awaiter(this, void 0, void 0, function () {
                var snapshot;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.db.collectionGroup(this.collectionId, queryGroupFn).get().toPromise()];
                        case 1:
                            snapshot = _a.sent();
                            return [2 /*return*/, snapshot.docs.map((/**
                                 * @param {?} doc
                                 * @return {?}
                                 */
                                function (doc) { return (/** @type {?} */ (doc.data())); }))];
                    }
                });
            });
        };
        return CollectionGroupService;
    }());
    if (false) {
        /**
         * @type {?}
         * @protected
         */
        CollectionGroupService.prototype.db;
        /** @type {?} */
        CollectionGroupService.prototype.collectionId;
        /**
         * @type {?}
         * @protected
         */
        CollectionGroupService.prototype.store;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @param {?} write
     * @param {?} roles
     * @return {?}
     */
    function canWrite(write, roles) {
        return roles.some((/**
         * @param {?} role
         * @return {?}
         */
        function (role) { return role === write || role === 'write'; }));
    }
    /**
     * @param {?} read
     * @param {?} roles
     * @return {?}
     */
    function canRead(read, roles) {
        return roles.some((/**
         * @param {?} role
         * @return {?}
         */
        function (role) { return role === read || role === 'write'; }));
    }
    /**
     * @param {?} role
     * @param {?} roles
     * @return {?}
     */
    function hasRole(role, roles) {
        switch (role) {
            case 'write': return roles.includes('write');
            case 'create': return canWrite('create', roles);
            case 'delete': return canWrite('delete', roles);
            case 'update': return canWrite('update', roles);
            case 'read': return roles.includes('read');
            case 'get': return canRead('get', roles);
            case 'list': return canRead('list', roles);
            default: return false;
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function ShouldCancelOptions() { }
    if (false) {
        /** @type {?} */
        ShouldCancelOptions.prototype.validate;
        /** @type {?} */
        ShouldCancelOptions.prototype.cancel;
    }
    /**
     * @record
     */
    function WaitForCancelOptions() { }
    if (false) {
        /** @type {?} */
        WaitForCancelOptions.prototype.startWith;
        /** @type {?} */
        WaitForCancelOptions.prototype.endWith;
        /** @type {?} */
        WaitForCancelOptions.prototype.shouldValidate;
        /** @type {?} */
        WaitForCancelOptions.prototype.shouldCancel;
    }
    /**
     * @param {?} __0
     * @return {?}
     */
    function shouldCancel(_a) {
        var validate = _a.validate, cancel = _a.cancel;
        return rxjs.race([validate.pipe(operators.map((/**
             * @param {?} _
             * @return {?}
             */
            function (_) { return false; }))), cancel.pipe(operators.map((/**
             * @param {?} _
             * @return {?}
             */
            function (_) { return true; })))]);
    }
    /**
     * @param {?} __0
     * @return {?}
     */
    function waitForCancel(_a) {
        var startWith = _a.startWith, endWith = _a.endWith, shouldValidate = _a.shouldValidate, shouldCancel = _a.shouldCancel;
        return __awaiter(this, void 0, void 0, function () {
            var cancelled;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        startWith();
                        return [4 /*yield*/, rxjs.race([
                                shouldValidate.pipe(operators.map((/**
                                 * @param {?} _
                                 * @return {?}
                                 */
                                function (_) { return false; }))),
                                shouldCancel.pipe(operators.map((/**
                                 * @param {?} _
                                 * @return {?}
                                 */
                                function (_) { return true; })))
                            ]).toPromise()];
                    case 1:
                        cancelled = _b.sent();
                        endWith(cancelled);
                        return [2 /*return*/];
                }
            });
        });
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Redirect the
     * @template E
     * @param {?} redirectTo Route path to redirecto if collection is empty
     * @return {?}
     */
    function redirectIfEmpty(redirectTo) {
        return operators.map((/**
         * @param {?} actions
         * @return {?}
         */
        function (actions) { return actions.length === 0 ? redirectTo : true; }));
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template Service, E
     * @this {?}
     * @param {?} routerQuery
     * @return {?}
     */
    function syncWithRouter(routerQuery) {
        var _this = this;
        /** @type {?} */
        var pathParams = getPathParams(this.path);
        return routerQuery.selectParams().pipe(
        // Don't trigger change if params needed (and only them) haven't changed
        operators.distinctUntilChanged((/**
         * @param {?} old
         * @param {?} next
         * @return {?}
         */
        function (old, next) {
            /** @type {?} */
            var paramsHaveChanged = !!pathParams.find((/**
             * @param {?} param
             * @return {?}
             */
            function (param) { return old[param] !== next[param]; }));
            // reset store on every parameter change
            if (paramsHaveChanged)
                _this['store'].reset();
            return !paramsHaveChanged;
        })), 
        // Need to filter because changes in params comes before canDeactivate
        operators.filter((/**
         * @param {?} params
         * @return {?}
         */
        function (params) { return pathParams.every((/**
         * @param {?} param
         * @return {?}
         */
        function (param) { return !!params[param]; })); })), operators.switchMap((/**
         * @param {?} params
         * @return {?}
         */
        function (params) { return _this.syncCollection({ params: params }); })), operators.shareReplay(1));
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     * @template S
     */
    function FirestoreService() { }
    if (false) {
        /** @type {?} */
        FirestoreService.prototype.db;
        /** @type {?} */
        FirestoreService.prototype.store;
        /** @type {?} */
        FirestoreService.prototype.idKey;
        /**
         * @param {?=} query
         * @return {?}
         */
        FirestoreService.prototype.syncCollection = function (query) { };
        /**
         * @param {?=} query
         * @return {?}
         */
        FirestoreService.prototype.getValue = function (query) { };
    }
    /**
     * @record
     */
    function PathParams() { }
    if (false) {
        /** @type {?|undefined} */
        PathParams.prototype.params;
    }
    /**
     * @record
     */
    function WriteOptions() { }
    if (false) {
        /** @type {?|undefined} */
        WriteOptions.prototype.write;
        /** @type {?|undefined} */
        WriteOptions.prototype.ctx;
    }
    /**
     * @record
     */
    function SyncOptions() { }
    if (false) {
        /** @type {?} */
        SyncOptions.prototype.storeName;
        /** @type {?} */
        SyncOptions.prototype.loading;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var queryKeys = ['path', 'queryFn'];
    /**
     * @param {?} query
     * @return {?}
     */
    function getSubQueryKeys(query) {
        /** @type {?} */
        var keys = Object.keys(query);
        return keys.filter((/**
         * @param {?} key
         * @return {?}
         */
        function (key) { return !queryKeys.includes(key); }));
    }
    /**
     * @param {?} query
     * @return {?}
     */
    function hasSubQueries(query) {
        return getSubQueryKeys(query).length > 0;
    }
    /**
     * @template E, K
     * @param {?} query
     * @param {?} parent
     * @return {?}
     */
    function getSubQuery(query, parent) {
        if (typeof query !== 'function') {
            return query;
        }
        return query(parent);
    }
    /**
     * @param {?} path
     * @return {?}
     */
    function isDocPath(path) {
        return path.split('/').length % 2 === 0;
    }
    /**
     * Transform a path into a collection Query
     * @template T
     * @param {?} path
     * @param {?=} queryFn
     * @return {?}
     */
    function collection(path, queryFn) {
        return (/** @type {?} */ ({ path: path, queryFn: queryFn }));
    }
    /**
     * Transform a path into a doc query
     * @template T
     * @param {?} path
     * @return {?}
     */
    function doc(path) {
        return (/** @type {?} */ ({ path: path }));
    }
    /**
     * Check if a value is a query
     * @template T
     * @param {?} query
     * @return {?}
     */
    function isQuery(query) {
        if (typeof query === 'object') {
            return !!query['path'];
        }
        return false;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Sync the collection
     * @template E
     * @this {?}
     * @param {?} query The query to trigger
     * @return {?}
     */
    function syncQuery(query) {
        var _this = this;
        // If single query
        if (typeof query === 'string') {
            return isDocPath(query)
                ? this.syncDoc({ path: query })
                : this.syncCollection(query);
        }
        if (Array.isArray(query)) {
            return rxjs.combineLatest(query.map((/**
             * @param {?} oneQuery
             * @return {?}
             */
            function (oneQuery) { return syncQuery.call(_this, oneQuery); })));
        }
        if (!isQuery(query)) {
            throw new Error('Query should be either a path, a Query object or an array of Queries');
        }
        ////////////////
        // SUBQUERIES //
        ////////////////
        /**
         * Listen on Child actions
         * @type {?}
         */
        var fromChildAction = (/**
         * @param {?} actions
         * @param {?} child
         * @return {?}
         */
        function (actions, child) {
            var e_1, _a;
            /** @type {?} */
            var idKey = 'id';
            // TODO: Improve how to
            var parentId = child.parentId, key = child.key;
            var _loop_1 = function (action) {
                /** @type {?} */
                var id = action.payload.doc.id;
                /** @type {?} */
                var data = action.payload.doc.data();
                switch (action.type) {
                    case 'added': {
                        _this['store'].update((/** @type {?} */ (parentId)), (/**
                         * @param {?} entity
                         * @return {?}
                         */
                        function (entity) {
                            var _a;
                            return (/** @type {?} */ ((_a = {},
                                _a[key] = akita.arrayUpsert((/** @type {?} */ (entity[key])) || [], id, data, idKey),
                                _a)));
                        }));
                        break;
                    }
                    case 'removed': {
                        _this['store'].update((/** @type {?} */ (parentId)), (/**
                         * @param {?} entity
                         * @return {?}
                         */
                        function (entity) {
                            var _a;
                            return (/** @type {?} */ ((_a = {},
                                _a[key] = akita.arrayRemove((/** @type {?} */ (entity[key])), id, idKey),
                                _a)));
                        }));
                        break;
                    }
                    case 'modified': {
                        _this['store'].update((/** @type {?} */ (parentId)), (/**
                         * @param {?} entity
                         * @return {?}
                         */
                        function (entity) {
                            var _a;
                            return (/** @type {?} */ ((_a = {},
                                _a[key] = akita.arrayUpdate((/** @type {?} */ (entity[key])), id, data, idKey),
                                _a)));
                        }));
                    }
                }
            };
            try {
                for (var actions_1 = __values(actions), actions_1_1 = actions_1.next(); !actions_1_1.done; actions_1_1 = actions_1.next()) {
                    var action = actions_1_1.value;
                    _loop_1(action);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (actions_1_1 && !actions_1_1.done && (_a = actions_1.return)) _a.call(actions_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        });
        /**
         * Stay in sync a subquery of the collection
         * \@param subQuery The sub query based on the entity
         * \@param child An object that describe the parent
         * @type {?}
         */
        var syncSubQuery = (/**
         * @template K
         * @param {?} subQuery
         * @param {?} child
         * @return {?}
         */
        function (subQuery, child) {
            var _a;
            var parentId = child.parentId, key = child.key;
            // If it's a static value
            // TODO : Check if subQuery is a string ???
            if (!isQuery(subQuery)) {
                /** @type {?} */
                var update = _this['store'].update((/** @type {?} */ (parentId)), (/** @type {?} */ (_a = {}, _a[key] = subQuery, _a)));
                return rxjs.of(update);
            }
            if (Array.isArray(subQuery)) {
                /** @type {?} */
                var syncQueries = subQuery.map((/**
                 * @param {?} oneQuery
                 * @return {?}
                 */
                function (oneQuery) {
                    if (isQuery(subQuery)) {
                        /** @type {?} */
                        var id_1 = getIdAndPath({ path: subQuery.path });
                        return _this['db'].doc(subQuery.path).valueChanges().pipe(operators.tap((/**
                         * @param {?} childDoc
                         * @return {?}
                         */
                        function (childDoc) {
                            _this['store'].update((/** @type {?} */ (parentId)), (/**
                             * @param {?} entity
                             * @return {?}
                             */
                            function (entity) {
                                var _a;
                                return (/** @type {?} */ ((_a = {},
                                    _a[key] = akita.arrayAdd((/** @type {?} */ (entity[key])), id_1, childDoc),
                                    _a)));
                            }));
                        })));
                    }
                    return syncSubQuery(oneQuery, child);
                }));
                return rxjs.combineLatest(syncQueries);
            }
            if (typeof subQuery !== 'object') {
                throw new Error('Query should be either a path, a Query object or an array of Queries');
            }
            // Sync subquery
            if (isDocPath(subQuery.path)) {
                return _this['db'].doc(subQuery.path).valueChanges().pipe(operators.tap((/**
                 * @param {?} children
                 * @return {?}
                 */
                function (children) {
                    var _a;
                    return _this['store'].update((/** @type {?} */ (parentId)), (/** @type {?} */ (_a = {}, _a[key] = children, _a)));
                })));
            }
            else {
                return (/** @type {?} */ (_this['db'].collection(subQuery.path, subQuery.queryFn)
                    .stateChanges()
                    .pipe(akita.withTransaction((/**
                 * @param {?} actions
                 * @return {?}
                 */
                function (actions) { return fromChildAction((/** @type {?} */ (actions)), child); })))));
            }
        });
        /**
         * Get in sync with all the subqueries
         * \@param subQueries A map of all the subqueries
         * \@param parent The parent entity to attach the children to
         * @type {?}
         */
        var syncAllSubQueries = (/**
         * @param {?} subQueries
         * @param {?} parent
         * @return {?}
         */
        function (subQueries, parent) {
            /** @type {?} */
            var obs = Object.keys(subQueries)
                .filter((/**
             * @param {?} key
             * @return {?}
             */
            function (key) { return key !== 'path' && key !== 'queryFn'; }))
                .map((/**
             * @param {?} key
             * @return {?}
             */
            function (key) {
                /** @type {?} */
                var queryLike = getSubQuery(subQueries[key], parent);
                /** @type {?} */
                var child = { key: key, parentId: parent[_this.idKey] };
                return syncSubQuery(queryLike, child);
            }));
            return rxjs.combineLatest(obs);
        });
        ////////////////
        // MAIN QUERY //
        ////////////////
        /**
         * Listen on action with child queries
         * @type {?}
         */
        var fromActionWithChild = (/**
         * @param {?} actions
         * @param {?} mainQuery
         * @param {?} subscriptions
         * @return {?}
         */
        function (actions, mainQuery, subscriptions) {
            var e_2, _a, _b;
            try {
                for (var actions_2 = __values(actions), actions_2_1 = actions_2.next(); !actions_2_1.done; actions_2_1 = actions_2.next()) {
                    var action = actions_2_1.value;
                    /** @type {?} */
                    var id = action.payload.doc.id;
                    /** @type {?} */
                    var data = action.payload.doc.data();
                    switch (action.type) {
                        case 'added': {
                            /** @type {?} */
                            var entity = __assign((_b = {}, _b[_this.idKey] = id, _b), data);
                            _this['store'].upsert(id, entity);
                            subscriptions[id] = syncAllSubQueries((/** @type {?} */ (mainQuery)), entity).subscribe();
                            break;
                        }
                        case 'removed': {
                            _this['store'].remove(id);
                            subscriptions[id].unsubscribe();
                            delete subscriptions[id];
                            break;
                        }
                        case 'modified': {
                            _this['store'].update(id, data);
                        }
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (actions_2_1 && !actions_2_1.done && (_a = actions_2.return)) _a.call(actions_2);
                }
                finally { if (e_2) throw e_2.error; }
            }
        });
        var path = query.path, queryFn = query.queryFn;
        if (isDocPath(path)) {
            var id_2 = getIdAndPath({ path: path }).id;
            /** @type {?} */
            var subscription_1;
            return this['db'].doc(path).valueChanges().pipe(operators.tap((/**
             * @param {?} entity
             * @return {?}
             */
            function (entity) {
                _this['store'].upsert(id_2, (/** @type {?} */ (__assign({ id: id_2 }, entity))));
                if (!subscription_1) { // Subscribe only the first time
                    subscription_1 = syncAllSubQueries((/** @type {?} */ (query)), entity).subscribe();
                }
            })), 
            // Stop subscription
            operators.finalize((/**
             * @return {?}
             */
            function () { return subscription_1.unsubscribe(); })));
        }
        else {
            /** @type {?} */
            var subscriptions_1 = {};
            return (/** @type {?} */ (this['db'].collection(path, queryFn)
                .stateChanges()
                .pipe(akita.withTransaction((/**
             * @param {?} actions
             * @return {?}
             */
            function (actions) { return fromActionWithChild(actions, query, subscriptions_1); })), 
            // Stop all subscriptions
            operators.finalize((/**
             * @return {?}
             */
            function () { return Object.keys(subscriptions_1).forEach((/**
             * @param {?} id
             * @return {?}
             */
            function (id) {
                subscriptions_1[id].unsubscribe();
                delete subscriptions_1[id];
            })); })))));
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template Service, E
     * @this {?}
     * @param {?} query
     * @return {?}
     */
    function awaitSyncQuery(query) {
        var _this = this;
        return awaitQuery.call(this, query).pipe(operators.tap((/**
         * @param {?} entities
         * @return {?}
         */
        function (entities) {
            Array.isArray(entities)
                ? _this['store'].upsertMany(entities)
                : _this['store'].upsert(entities[_this.idKey], entities);
        })));
    }
    /**
     * @template Service, E
     * @this {?}
     * @param {?} query
     * @return {?}
     */
    function awaitQuery(query) {
        var _this = this;
        // If single query
        if (typeof query === 'string') {
            return isDocPath(query)
                ? this['db'].doc(query).valueChanges()
                : this['db'].collection(query).valueChanges({ idField: this.idKey });
        }
        if (Array.isArray(query)) {
            return !!query.length
                ? rxjs.combineLatest(query.map((/**
                 * @param {?} oneQuery
                 * @return {?}
                 */
                function (oneQuery) { return awaitSyncQuery.call(_this, oneQuery); })))
                : rxjs.of(query);
        }
        if (!isQuery(query)) {
            throw new Error('Query should be either a path, a Query object or an array of Queries');
        }
        /**
         * Get the entity of one subquery
         * \@param subQuery The subquery function or value
         * \@param entity The parent entity
         * @type {?}
         */
        var syncSubQuery = (/**
         * @template T
         * @param {?} subQueryFn
         * @param {?} entity
         * @return {?}
         */
        function (subQueryFn, entity) {
            if (!subQueryFn) {
                return rxjs.throwError("Query failed");
            }
            if (typeof subQueryFn !== 'function') {
                return rxjs.of(subQueryFn);
            }
            return awaitQuery.call(_this, subQueryFn(entity));
        });
        /**
         * Get all the Entities of all subqueries
         * \@param parentQuery The parent Query
         * \@param entity The parent Entity
         * @type {?}
         */
        var getAllSubQueries = (/**
         * @template T
         * @param {?} parentQuery
         * @param {?} entity
         * @return {?}
         */
        function (parentQuery, entity) {
            if (!entity) {
                return rxjs.throwError("Nothing found at path : " + parentQuery.path);
            }
            // There is no subqueries return the entity
            if (!hasSubQueries(parentQuery)) {
                return rxjs.of(entity);
            }
            // Get all subquery keys
            /** @type {?} */
            var subQueryKeys = getSubQueryKeys(query);
            // For each key get the subquery
            /** @type {?} */
            var subQueries$ = subQueryKeys.map((/**
             * @param {?} key
             * @return {?}
             */
            function (key) {
                return syncSubQuery(parentQuery[key], entity).pipe(operators.tap((/**
                 * @param {?} subentity
                 * @return {?}
                 */
                function (subentity) { return entity[key] = subentity; })));
            }));
            return !!subQueries$.length
                ? rxjs.combineLatest(subQueries$).pipe(operators.map((/**
                 * @return {?}
                 */
                function () { return entity; })))
                : rxjs.of(entity);
        });
        // IF DOCUMENT
        var path = query.path, queryFn = query.queryFn;
        if (isDocPath(path)) {
            var id_1 = getIdAndPath({ path: path }).id;
            return this['db'].doc(path).valueChanges().pipe(operators.switchMap((/**
             * @param {?} entity
             * @return {?}
             */
            function (entity) { return getAllSubQueries(query, entity); })), operators.map((/**
             * @param {?} entity
             * @return {?}
             */
            function (entity) { return (__assign({ id: id_1 }, entity)); })));
        }
        // IF COLLECTION
        return this['db'].collection(path, queryFn)
            .valueChanges({ idField: this.idKey })
            .pipe(operators.switchMap((/**
         * @param {?} entities
         * @return {?}
         */
        function (entities) {
            /** @type {?} */
            var entities$ = entities.map((/**
             * @param {?} entity
             * @return {?}
             */
            function (entity) { return getAllSubQueries(query, entity); }));
            return entities$.length ? rxjs.combineLatest(entities$) : rxjs.of([]);
        })));
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     * @template E
     */
    function CollectionChild() { }
    if (false) {
        /** @type {?} */
        CollectionChild.prototype.parentId;
        /** @type {?} */
        CollectionChild.prototype.key;
    }
    /**
     * @record
     */
    function SubscriptionMap() { }

    exports.CollectionConfig = CollectionConfig;
    exports.CollectionGroupService = CollectionGroupService;
    exports.CollectionGuard = CollectionGuard;
    exports.CollectionGuardConfig = CollectionGuardConfig;
    exports.CollectionService = CollectionService;
    exports.FireAuthService = FireAuthService;
    exports.awaitQuery = awaitQuery;
    exports.awaitSyncQuery = awaitSyncQuery;
    exports.canRead = canRead;
    exports.canWrite = canWrite;
    exports.collection = collection;
    exports.doc = doc;
    exports.fireAuthProviders = fireAuthProviders;
    exports.getAuthProvider = getAuthProvider;
    exports.getCustomClaims = getCustomClaims;
    exports.getIdAndPath = getIdAndPath;
    exports.getPathParams = getPathParams;
    exports.getSubQuery = getSubQuery;
    exports.getSubQueryKeys = getSubQueryKeys;
    exports.hasRole = hasRole;
    exports.hasSubQueries = hasSubQueries;
    exports.initialAuthState = initialAuthState;
    exports.isDocPath = isDocPath;
    exports.isFireAuthProvider = isFireAuthProvider;
    exports.isQuery = isQuery;
    exports.pathWithParams = pathWithParams;
    exports.queryKeys = queryKeys;
    exports.redirectIfEmpty = redirectIfEmpty;
    exports.removeStoreEntity = removeStoreEntity;
    exports.setActive = setActive;
    exports.setLoading = setLoading;
    exports.shouldCancel = shouldCancel;
    exports.syncQuery = syncQuery;
    exports.syncStoreFromDocAction = syncStoreFromDocAction;
    exports.syncStoreFromDocActionSnapshot = syncStoreFromDocActionSnapshot;
    exports.syncWithRouter = syncWithRouter;
    exports.updateStoreEntity = updateStoreEntity;
    exports.upsertStoreEntity = upsertStoreEntity;
    exports.waitForCancel = waitForCancel;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=akita-ng-fire.umd.js.map
